Bug 13229

Summary: [DOCS][READ] some html files under trans/es/ are not generated in the right way.
Product: POI Reporter: Agustin Martin <agusmba>
Component: POI OverallAssignee: POI Developers List <dev>
Status: RESOLVED FIXED    
Severity: normal CC: nicolaken
Priority: P3    
Version: 2.0-dev   
Target Milestone: ---   
Hardware: All   
OS: All   
URL: http://jakarta.apache.org/poi/trans/es/todo.html
Attachments: diff for .../xdocs/trans/es/todo.xml fixing dtd path
My sitemap.xmap (fixes trans/xx/ todo.html, faq.html, changes.html) place in build/work/forrest/

Description Agustin Martin 2002-10-02 23:16:05 UTC
Some xml files under the trans/es directory do not render as expected.
I think it may be related to some dtds paths.
I'm changing only this file. If it works, I'll change the rest of them.
Comment 1 Agustin Martin 2002-10-02 23:17:22 UTC
Created attachment 3325 [details]
diff for .../xdocs/trans/es/todo.xml fixing dtd path
Comment 2 Andy Oliver 2002-10-14 14:13:11 UTC
applied please cross check.  gracias.
Comment 3 Andy Oliver 2002-10-14 14:14:41 UTC
unfortunately it doesn't seem to have fixed it.  Write nicolaken@apache.org and
ask him how it finds the stylesheet.
Comment 4 Andy Oliver 2002-10-14 14:15:03 UTC
unfortunately it doesn't seem to have fixed it.  Write nicolaken@apache.org and
ask him how it finds the stylesheet.
Comment 5 Agustin Martin 2002-10-14 22:36:11 UTC
I am reopening this bug, and changing it's title.

Played with latest CVS for a couple hours.
I tracked this bug to the file sitemap.xmap (in the build/work/forrest directory?)
It's not in the CVS, so I won't attatch a diff. Here is what I included in
sitemap.xmap:

<map:match pattern="body-**todo.xml">
     <map:generate type="file-nolabel" src="content/xdocs/{1}todo.xml"/>
     <map:transform src="library/xslt/todo2document.xsl" label="content"/>
     <map:call resource="skinit">
      <map:parameter name="type" value="document2html"/>
     </map:call>         
</map:match>

This fixes the trans/es/todo.html file (and hopefully any todo.html not in the
main directory). We'd need similar fixes for other types of files.

However, maybe someone more savvy with forrest/cocoon (Nicolaken?) might fix it
changing only one pattern... (body-????) Otherwise, I'll keep trying so sort
this really out and make a nice fix (someone please tell me how to submit a
sitemap.xmap ;-))

Comments?
Comment 6 Andy Oliver 2002-10-14 22:48:24 UTC
I did that and it didn't work for me... . did it work for you?
Comment 7 Agustin Martin 2002-10-15 07:09:12 UTC
It did (although I didn't get the leading graphics in any todo.html file, I got
[code] instead). I'll try to play a bit more with it tonight, and maybe attatch
here the whole sitemap.xmap file, so you can try it.

Later.
Comment 8 Agustin Martin 2002-10-16 20:25:55 UTC
Created attachment 3492 [details]
My sitemap.xmap (fixes trans/xx/ todo.html, faq.html, changes.html) place in build/work/forrest/
Comment 9 David Fisher 2008-12-29 14:28:57 UTC
This seems to be cleaned up. Translated pages have the expected top rendering.

Please open a new bugzilla if there is still trouble.